<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Title</title>
    </head>

    <body>
        <script>
            let name;
            while (!(name = prompt('Whats your name?'))) {
                console.log('Hello world', '-->' , name);
            }
            console.log('After while');
        </script>
    </body>
</html>